A new user interface for you! Read more...

File steam.changes of Package steam

-------------------------------------------------------------------
Tue Nov 14 13:07:11 UTC 2017 - christophe@krop.fr

- Require libcups2-32bit if the package is available. (boo#1067133)

-------------------------------------------------------------------
Sat Aug  5 10:01:34 UTC 2017 - mailaender@opensuse.org

- Require "games" group and user (boo#1043738)

-------------------------------------------------------------------
Sat Mar 11 21:26:53 UTC 2017 - robert.munteanu@gmail.com

- Add firewall file to allow easier access to in-home streaming 

-------------------------------------------------------------------
Wed Dec 21 13:48:18 UTC 2016 - jimmy@boombatower.com

- Replace steamruntime-fix with steamtricks.
  invoke-libstdc-removal-before-starting-steam.patch
  steam-invoke_steamtricks.patch

-------------------------------------------------------------------
Tue Dec 13 10:45:49 UTC 2016 - develop7@develop7.info

- update to version 1.0.0.54
- refreshed allow-non-root-controller-access.patch

-------------------------------------------------------------------
Sat Nov 19 06:42:42 UTC 2016 - mailaender@opensuse.org

- update to version 1.0.0.53
  * Update udev rules for HTC Vive and order them so they run after
	50-udev-default.rules but before 73-seat-late.rules
- Add appdata.xml for https://software.opensuse.org/appstore

-------------------------------------------------------------------
Sat Oct  1 03:06:17 UTC 2016 - jimmy@boombatower.com

- Surround all home directory usages with quotes.

-------------------------------------------------------------------
Wed Sep 28 00:33:42 UTC 2016 - jimmy@boombatower.com

- Search and remove libstdc from steam library directories as well
  to ensure apps shipping their own incompatible versions work.

-------------------------------------------------------------------
Mon Sep 26 01:45:34 UTC 2016 - jimmy@boombatower.com

- correct replacement of 64bit openssl libraries in steamruntime.

-------------------------------------------------------------------
Mon Sep 12 12:53:22 UTC 2016 - meissner@suse.com

- require our own builds of the openssl libraries
  and replace them on runtime. bsc#988273

-------------------------------------------------------------------
Mon Aug 15 10:28:47 UTC 2016 - rpm@fthiessen.de

- Added allow-non-root-controller-access.patch for fixing
  boo#986901
- Droped special handling of openSUSE <= 12.3 as it is not
  maintained anymore.

-------------------------------------------------------------------
Sun Jul 10 03:52:42 UTC 2016 - jimmy@boombatower.com

- Add invoke-libstdc-removal-before-starting-steam.patch to resolve
  long standing issue:
  https://github.com/ValveSoftware/steam-for-linux/issues/3273

-------------------------------------------------------------------
Mon Jun 13 13:27:54 UTC 2016 - mailaender@opensuse.org

- update to version 1.0.0.52
- add SteamVR (HTC Vive) support
- add (Debian) changelog

-------------------------------------------------------------------
Fri Apr 29 05:31:42 UTC 2016 - mailaender@opensuse.org

- don't strip the translation from .desktop file (fixes boo#974334)

-------------------------------------------------------------------
Sat Mar  5 10:44:02 UTC 2016 - mailaender@opensuse.org

- add Steam controller support

-------------------------------------------------------------------
Sat Nov 21 19:12:13 UTC 2015 - mailaender@opensuse.org

- update to version 1.0.0.51

-------------------------------------------------------------------
Thu Sep 10 16:00:27 UTC 2015 - ecsos@opensuse.org

- fix build error for openSUSE 13.1 and 13.2

-------------------------------------------------------------------
Wed Sep  9 15:54:53 UTC 2015 - dimstar@opensuse.org

- on openSUSE Leap 42.1, we have libgcrypt20-32bit.

-------------------------------------------------------------------
Mon Jun 22 21:07:35 UTC 2015 - robert.munteanu@gmail.com

- Require alsa-devel to fix launching of unity3D games ( 
    https://github.com/ValveSoftware/steam-for-linux/issues/3888 )

-------------------------------------------------------------------
Wed May 13 07:15:43 UTC 2015 - mailaender@opensuse.org

- update to version 1.0.0.50
  * Added libXinerama and libXext to the bootstrap runtime to fix AMD 
    graphics driver crashing if these aren't present.

-------------------------------------------------------------------
Mon Dec 29 18:15:01 UTC 2014 - mailaender@opensuse.org

- remove Fedora exceptions as they got their own RPM
- rework this from fetch script to a real package
- adhere to en.opensuse.org/SourceUrls
- adhere to en.opensuse.org/openSUSE:Packaging_desktop_menu_categories
- clean the package from duplicate icon files

-------------------------------------------------------------------
Sat Oct  4 19:27:56 UTC 2014 - mailaender@opensuse.org

- update to 1.0.0.49
  * Update packaged icons.
  * Update liblibstdc++ file version to match new runtime.

-------------------------------------------------------------------
Tue Jul  8 07:30:40 UTC 2014 - speilicke@suse.com

- Require libgcrypt20 on 13.20 or newer, libgcrypt11 was dropped there

-------------------------------------------------------------------
Fri Jun 20 03:44:27 UTC 2014 - romulasry@gmail.com

- update to 1.0.0.48

-------------------------------------------------------------------
Wed May 28 14:08:00 UTC 2014 - martadinata666@gmail.com

- update to 1.0.0.47

-------------------------------------------------------------------
Thu Dec 26 14:53:32 UTC 2013 - mailaender@opensuse.org

- Don't spam the subscriber agreement in the RPM console as Steam
  itself will display a proper EULA in a GUI to accept on first
  start when it downloads the real runtime and client.
- Update instructions of the RPM file description.
- Added missing desktop, icon, mime database update macros.

-------------------------------------------------------------------
Thu Dec  5 23:18:14 UTC 2013 - mailaender@opensuse.org

- update to 1.0.0.45
- explicit file attributes required in spec to fix build in 12.2

-------------------------------------------------------------------
Sun Dec  1 18:03:42 UTC 2013 - mihai.petracovici@gmail.com

- Spec file clean-up
	* Package now properly uninstalls

-------------------------------------------------------------------
Sat Nov 23 17:42:35 UTC 2013 - mailaender@opensuse.org

- update to 1.0.0.44

-------------------------------------------------------------------
Sat Oct 12 13:02:09 UTC 2013 - mailaender@opensuse.org

- update to 1.0.0.43

-------------------------------------------------------------------
Mon Sep 16 20:09:53 UTC 2013 - bwiedemann@suse.com

- require dbus-1-glib-32bit libnm-glib4-32bit libnm-util2-32bit

-------------------------------------------------------------------
Mon Sep  9 18:15:39 UTC 2013 - mailaender@opensuse.org

- update to 1.0.0.41

-------------------------------------------------------------------
Sun Jul  7 12:49:15 UTC 2013 - mailaender@opensuse.org

- update to 1.0.0.39

-------------------------------------------------------------------
Wed Mar 13 12:38:33 UTC 2013 - mailaender@opensuse.org

- update to 1.0.0.36
- display EULA before installation

-------------------------------------------------------------------
Tue Mar 12 17:32:10 UTC 2013 - mailaender@opensuse.org

- fix openal dependency for openSUSE 12.3 (bnc#808951)

-------------------------------------------------------------------
Wed Mar  6 20:34:29 UTC 2013 - mailaender@opensuse.org

- update to 1.0.0.35
- fix problems with 32bit dependencies on x64 (bnc#806576)

-------------------------------------------------------------------
Sun Feb 24 19:41:57 UTC 2013 - mailaender@opensuse.org

- update to 1.0.0.33
- require tar instead of ar since we don't unpack a .deb anymore
- use lynx to dump only the text of the EULA without HTML tags

-------------------------------------------------------------------
Sat Feb 23 11:19:00 CET 2013 - buschmann23@opensuse.org

- added make and binutils explicit to the Requirements

-------------------------------------------------------------------
Tue Feb 19 16:28:00 CET 2013 - buschmann23@opensuse.org

- added conditional to requirements of gcc libs because names
  changed in openSUSE 12.3

-------------------------------------------------------------------
Sun Feb 17 15:11:27 UTC 2013 - i@marguerite.su

- add Requires: libXdmcp6-32bit.

-------------------------------------------------------------------
Sat Feb 16 16:00:51 UTC 2013 - mailaender@opensuse.org

- update to 1.0.0.28

-------------------------------------------------------------------
Sun Feb 10 14:06:38 UTC 2013 - mailaender@opensuse.org

- updated to 1.0.0.25
- use the new tar.gz provided by Valve

-------------------------------------------------------------------
Fri Feb  1 19:35:14 UTC 2013 - mailaender@opensuse.org

- updated to 1.0.0.22
- created fetch-steam.sh to circumvent the "Limited Installation License"
- removed all non-free binaries and scripts distributed by Valve

-------------------------------------------------------------------
Fri Dec 21 23:57:48 UTC 2012 - prusnak@opensuse.org

- updated to 1.0.0.18

-------------------------------------------------------------------
Thu Dec 20 11:18:48 UTC 2012 - prusnak@opensuse.org

- spec cleanup

-------------------------------------------------------------------
Sat Dec  8 02:27:21 UTC 2012 - jdmulloy@gmail.com

- Added support for x86_64 packages
- Fixed libpng dependency for openSUSE
- Added libopenal1-soft and Mesa-libGL1 dependencices for openSUSE

-------------------------------------------------------------------
Tue Nov 20 10:07:13 UTC 2012 - mailaender@opensuse.org

- SUSE specific fixes

-------------------------------------------------------------------
Wed Nov  7 00:00:00 UTC 2012 - spot@fedoraproject.org

- add more Requires (from downloaded bits, not packaged bits)

-------------------------------------------------------------------
Tue Nov  6 00:00:00 UTC 2012 - spot@fedoraproject.org

- fedora specific libpng conditionalization

-------------------------------------------------------------------
Tue Nov  6 00:00:00 UTC 2012 - spot@fedoraproject.org

- initial Fedora RPM packaging